{
	"version": "2.0.0",
	"tasks": [
		{
			"type": "cppbuild",
			"label": "Build GCC",
			"command": "d:\\mingw64\\bin\\g++.exe",
			"args": [
				"-g",
				"-std=c++20",
				"${workspaceFolder}\\*.cpp",
				"-o",
				"${fileDirname}\\rooster.exe"
			],
			"options": {
				"cwd": "${fileDirname}"
			},
			"problemMatcher": [
				"$gcc"
			],
			"group": "build",
			"detail": "compilatore: d:\\mingw64\\bin\\g++.exe"
		},
		{
			"type": "cppbuild",
			"label": "Build Clang",
			"command": "d:\\mingw64\\bin\\clang++.exe",
			"args": [
				"-g",
				"-std=c++20",
				"${workspaceFolder}\\*.cpp",
				"-o",
				"${fileDirname}\\rooster.exe"
			],
			"options": {
				"cwd": "${fileDirname}"
			},
			"problemMatcher": [
				"$gcc"
			],
			"group": "build",
			"detail": "compilatore: d:\\mingw64\\bin\\clang++.exe"
		}
	]
}